PETSc version 3.15.5
Fix/Edit manual page

# DMGetBasicAdjacency

Returns the flags for determining variable influence, using either the default or field 0 if it is defined

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetBasicAdjacency(DM dm, PetscBool *useCone, PetscBool *useClosure)

Not collective

### Input Parameters

| dm | - The DM object

### Output Parameter

| useCone | - Flag for variable influence starting with the cone operation
| useClosure | - Flag for variable influence using transitive closure

### Notes

        FEM:   Two points p and q are adjacent if q \in closure(star(p)),   useCone = PETSC_FALSE, useClosure = PETSC_TRUE

        FVM:   Two points p and q are adjacent if q \in support(p+cone(p)), useCone = PETSC_TRUE,  useClosure = PETSC_FALSE

        FVM++: Two points p and q are adjacent if q \in star(closure(p)),   useCone = PETSC_TRUE,  useClosure = PETSC_TRUE

### See Also

DMSetBasicAdjacency(), DMGetField(), DMSetField()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages